Flecs: flecs::_::builder< T, TDesc, Base, IBuilder, Components > Struct Template Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
flecs::_::builder< T, TDesc, Base, IBuilder, Components > Struct Template Reference
Inheritance diagram for flecs::_::builder< T, TDesc, Base, IBuilder, Components >:
[legend]

## Public Types
using | IBase = IBuilder<Base, Components ...>

## Public Member Functions
| builder (flecs::world_t *world)
| builder (const builder &f)
| builder (builder &&f) noexcept
| operator TDesc * ()
T< Components ... > | build ()

## Protected Member Functions
flecs::world_t * | world_v () override

## Protected Attributes
TDesc | desc_
flecs::world_t * | world_

## Detailed Description

template<template< typename ... Components > class T, typename TDesc, typename Base, template< typename IBase, typename ... Components > class IBuilder, typename ... Components>
struct flecs::_::builder< T, TDesc, Base, IBuilder, Components >

Definition at line 18 of file builder.hpp.

## Member Typedef Documentation

## ◆ IBase

template<template< typename ... Components > class T, typename TDesc, typename Base, template< typename IBase, typename ... Components > class IBuilder, typename ... Components>

using flecs::_::builder< T, TDesc, Base, IBuilder, Components >::IBase = IBuilder<Base, Components ...>

Definition at line 20 of file builder.hpp.

## Constructor & Destructor Documentation

## ◆ builder() [1/3]

template<template< typename ... Components > class T, typename TDesc, typename Base, template< typename IBase, typename ... Components > class IBuilder, typename ... Components>

flecs::_::builder< T, TDesc, Base, IBuilder, Components >::builder | ( | flecs::world_t * | world | ) |
| inline

Definition at line 23 of file builder.hpp.

## ◆ builder() [2/3]

template<template< typename ... Components > class T, typename TDesc, typename Base, template< typename IBase, typename ... Components > class IBuilder, typename ... Components>

flecs::_::builder< T, TDesc, Base, IBuilder, Components >::builder | ( | const builder< T, TDesc, Base, IBuilder, Components > & | f | ) |
| inline

Definition at line 28 of file builder.hpp.

## ◆ builder() [3/3]

template<template< typename ... Components > class T, typename TDesc, typename Base, template< typename IBase, typename ... Components > class IBuilder, typename ... Components>

flecs::_::builder< T, TDesc, Base, IBuilder, Components >::builder | ( | builder< T, TDesc, Base, IBuilder, Components > && | f | ) |
| inlinenoexcept

Definition at line 35 of file builder.hpp.

## Member Function Documentation

## ◆ build()

template<template< typename ... Components > class T, typename TDesc, typename Base, template< typename IBase, typename ... Components > class IBuilder, typename ... Components>

T< Components ... > flecs::_::builder< T, TDesc, Base, IBuilder, Components >::build | ( |  | ) |
| inline

Definition at line 42 of file builder.hpp.

## ◆ operator TDesc *()

template<template< typename ... Components > class T, typename TDesc, typename Base, template< typename IBase, typename ... Components > class IBuilder, typename ... Components>

flecs::_::builder< T, TDesc, Base, IBuilder, Components >::operator TDesc * | ( |  | ) |
| inline

Definition at line 38 of file builder.hpp.

## ◆ world_v()

template<template< typename ... Components > class T, typename TDesc, typename Base, template< typename IBase, typename ... Components > class IBuilder, typename ... Components>

flecs::world_t * flecs::_::builder< T, TDesc, Base, IBuilder, Components >::world_v | ( |  | ) |
| inlineoverrideprotected

Definition at line 47 of file builder.hpp.

## Member Data Documentation

## ◆ desc_

template<template< typename ... Components > class T, typename TDesc, typename Base, template< typename IBase, typename ... Components > class IBuilder, typename ... Components>

TDesc flecs::_::builder< T, TDesc, Base, IBuilder, Components >::desc_
| protected

Definition at line 48 of file builder.hpp.

## ◆ world_

template<template< typename ... Components > class T, typename TDesc, typename Base, template< typename IBase, typename ... Components > class IBuilder, typename ... Components>

flecs::world_t* flecs::_::builder< T, TDesc, Base, IBuilder, Components >::world_
| protected

Definition at line 49 of file builder.hpp.

The documentation for this struct was generated from the following file:

- include/flecs/addons/cpp/utils/builder.hpp